Page 1 of 1

prepare_freeciv.sh

Posted: Tue May 08, 2018 9:49 pm
by Orisson
Hi,

when i run ./prepare_freeciv.sh

i get :
Capstring to be replaced does not match one given in version.txt
Patching failed


In version.txt we have
FCREV=5b941ee273ca2e0cd2adab72c74c8d7972a70ecf
ORIGCAPSTR="+Freeciv.Devel-3.1-2018.May.06"
WEBCAPSTR="+Freeciv.Web.Devel-3.1"


In fc_version we have
NETWORK_CAPSTRING_MANDATORY="+Freeciv.Devel-3.1-2018.May.06"

Re: prepare_freeciv.sh

Posted: Wed May 09, 2018 2:54 pm
by madmax
Maybe you have grep aliased to egrep or grep -E?

Re: prepare_freeciv.sh

Posted: Thu May 10, 2018 12:57 pm
by Orisson
Nope.

I have replaced this
if ! grep "NETWORK_CAPSTRING_MANDATORY=\"$ORIGCAPSTR\"" freeciv/fc_version 2>/dev/null >/dev/null ; then

by
if ! grep -rl "NETWORK_CAPSTRING_MANDATORY=\"$ORIGCAPSTR\"" . 2>/dev/null >/dev/null ; then

and it works.

I had to manually download the freeciv folder, so i think that was the problem.